org.gicentre.utils.colour

## Enum ColourConverter.WhitePoint

- java.lang.Object
- - java.lang.Enum<ColourConverter.WhitePoint>
  - - org.gicentre.utils.colour.ColourConverter.WhitePoint

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ColourConverter.WhitePoint>
  Enclosing class:
    ColourConverter

      public static enum ColourConverter.WhitePoint
      extends java.lang.Enum<ColourConverter.WhitePoint>

  Whitepoint colour calibration settings.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `C` The standard illuminant C.
    `D50` The D50 illuminant with 2 degree observer position.
    `D55` The D55 illuminant with 2 degree observer position.
    `D65` The D65 illuminant with 2 degree observer position.
    `D75` The D75 illuminant with 2 degree observer position.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ColourConverter.WhitePoint` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ColourConverter.WhitePoint[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### D50

          public static final ColourConverter.WhitePoint D50

      The D50 illuminant with 2 degree observer position.

    - #### D55

          public static final ColourConverter.WhitePoint D55

      The D55 illuminant with 2 degree observer position.

    - #### D65

          public static final ColourConverter.WhitePoint D65

      The D65 illuminant with 2 degree observer position.

    - #### D75

          public static final ColourConverter.WhitePoint D75

      The D75 illuminant with 2 degree observer position.

    - #### C

          public static final ColourConverter.WhitePoint C

      The standard illuminant C.

  - ### Method Detail

    - #### values

          public static ColourConverter.WhitePoint[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ColourConverter.WhitePoint c : ColourConverter.WhitePoint.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ColourConverter.WhitePoint valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null